<?
	function render_lng_picker() {
		$html = '<div class="lng-picker" style="display:none;">';

		foreach ( Cubix_I18n::getLangs(false) as $id => $title ) {
			$html .= '<span cx:lng="' . $id . '"><img width="16" height="11" alt="' . $title . '" title="' . $title . '" src="' . _st('flags/' . $id . '.png') . '" /></span>';
		}

		$html .= '</div>';

		return $html;
	}
?>

<script type="text/javascript">
	window.addEvent('domready', function() {

		var els = $$('.work-times select, .work-times input[type=checkbox]');
		var inst = new Mooniform(els);

		$$('input[name=available_24_7]').addEvent('change', function(){
			if ( this.get('checked') ) {
				$$('.w_times input').each(function(el){
					el.set('disabled', 'disabled');
					el.set('checked', '');
				});

				$$('.w_times select').each(function(el){
					el.set('disabled', 'disabled');
					el.set('value', '');
				});
			}
			else {
				$$('.w_times input').each(function(el){
					el.set('disabled', '');
				});

				$$('.w_times select').each(function(el){
					el.set('disabled', '');
				});
			}

			inst.reInit(els);
		});

		<? if($this->agency_data['available_24_7']): ?>
		$$('input[name=available_24_7]').fireEvent('change');
		<? endif; ?>
	});
</script>

<div id="p-edit-agency">


	<p class="tab-title an"><?= __('dash_edit_agency_profile') ?></p>

	<div class="popup-close-btn"></div>
	<div class="clear"></div>

	<ul class="tabs">
		<li title="Info" class="active"><a class="an" href="#"><?= __('contact_details') ?></a></li>
		<li title="WorkingTimes"><a class="an" href="#"><?= __('working_hours') ?></a></li>
		<li title="AboutUs"><a class="an" href="#"><?= __('about_us') ?></a></li>
		
	</ul>

	<div class="clear"></div>

	<form action="<?= $this->getLink('private-v2-agency-profile') ?>" class="form" method="post">

		<div class="Info tab-body">

			<div class="contact-deatils">
				<div class="inner">
					<label for="agency_name"><?= __('agency_name') ?></label>
					<input id="agency_name" type="text" class="txt" name="agency_name" value="<?= $this->agency_data['name'] ?>" style="width: 200px" />
					<div class="clear"></div>
				</div>
				<div class="inner">
					<label for="email"><?= __('email') ?></label>
					<input id="email" type="text" class="txt" name="email" value="<?= $this->agency_data['email'] ?>" style="width: 200px" />
					<div class="clear"></div>
				</div>
				<div class="inner">
					<label style="width: 211px;text-align: left;padding-left:113px;"><input type="checkbox" value="1" name="email_to_all_escorts"> <?= __('apply_email_to_all_escorts') ?></label>
				</div>

				<div class="inner">
					<label for="web"><?= __('web') ?></label>
					<input id="web" type="text" class="txt" name="web" value="<?= $this->agency_data['web'] ?>" style="width: 200px" />
					<div class="clear"></div>
				</div>
				<div class="inner">
					<label style="width: 211px;text-align: left;padding-left:113px;"><input type="checkbox" value="1" name="website_to_all_escorts"> <?= __('apply_website_to_all_escorts') ?></label>
				</div>

				<div class="inner">
					<label for="country"><?= __('pv2_label_country') ?></label>
					<? $model = new Cubix_Geography_Countries() ?>
					<select onchange="Geography.loadCities($('city'), this)" id="country" name="country_id" style="width: 220px">
						<option value="">- <?= strtolower(__('pv2_label_country')) ?> -&nbsp;&nbsp;</option>
						<? foreach ($model->ajaxGetAll(false) as $country): ?>
							<option value="<?= $country->id ?>"<?= $this->agency_data['country_id'] == $country->id ? ' selected="selected"' : '' ?>><?= $country->title ?>&nbsp;&nbsp;</option>
						<? endforeach ?>
					</select>
					<div class="clear"></div>
				</div>
				<div class="inner">
					<label for="city"><?= __('pv2_label_city') ?></label>
					<? $model = new Cubix_Geography_Cities() ?>
					<select id="city" name="city_id" style="width: 220px">
						<option value="">- <?= strtolower(__('pv2_label_city')) ?> -&nbsp;&nbsp;</option>
						<? if ( $this->agency_data['country_id'] ): ?>
							<? foreach ($model->ajaxGetAll(null, $this->agency_data['country_id']) as $city): ?>
								<option value="<?= $city->id ?>"<?= $this->agency_data['city_id'] == $city->id ? ' selected="selected"' : '' ?>><?= $city->title ?>&nbsp;&nbsp;</option>
							<? endforeach ?>
						<? endif ?>
					</select>
					<div class="clear"></div>
				</div>

				<div class="inner ">
					<label for="phone_prefix"><?= __('country_call_code') ?> <b>*</b></label>
					<? $countries = new Model_Countries();?>
					<select name="phone_prefix" class="txt" style="width:220px">
						<option value ="">-------</option>
						<? foreach($this->countries as $country):?>
							<option value="<?= $country->id ?>-<?= $country->phone_prefix ?>-<?= $country->ndd_prefix ?>" <?= (isset($this->phone_prefix_id) && $country->id == $this->phone_prefix_id) ? 'selected="selected"' : '' ?>><?= $country->title ?> (+<?= $country->phone_prefix ?>) </option>
						<? endforeach; ?>
					</select>
					<div class="clear"></div>
				</div>
				<div class="inner">
					<label for="phone"><?= __('phone') ?> <b>*</b></label>
					<input id="phone" type="text" class="txt" name="phone" value="<?= $this->agency_data['phone'] ?>" style="width: 200px" />
					<div class="clear"></div>
				</div>
				<div class="inner">
					<label for="phone_instr" class="vat"><?= __('phone_instructions') ?></label>
					<textarea id="phone_instr" name="phone_instr" class="txt" style="width:210px;"><?= $this->agency_data['phone_instructions'] ?></textarea>
					<div class="clear"></div>
				</div>
				<div class="inner">
					<label style="width: 250px"><input type="checkbox" value="1" name="phone_to_all_escorts"> <?= __('apply_phone_to_all_escorts') ?></label>
				</div>

				<div class="inner long">
					<label for="phone"><?= __('apps_available') ?></label>
					<dl class="options">
						<dt style="margin-top: 5px; margin-bottom: 5px;">
							<label for="viber" style="width: 211px;text-align: left;padding-left:39px;">
								<input id="viber" type="checkbox" name="viber" value="1"<?= $this->agency_data['viber'] ? ' checked="checked"' : '' ?> />
								Viber
							</label>
						</dt>
						<dt>
							<label for="whatsapp" style="width: 211px;text-align: left;padding-left:39px;">
								<input id="whatsapp" type="checkbox" name="whatsapp" value="1"<?= $this->agency_data['whatsapp'] ? ' checked="checked"' : '' ?> />
								Whatsapp
							</label>
						</dt>
					</dl>
					<div class="clear"></div>
				</div>

				<div class="clear"></div>
			</div>

			<? /*<div class="logo">
				<div class="image">
					<img id="demo-portrait" src="<?= ($this->agency->logo_hash) ? $this->agency->getLogoUrl(true) : '/img/private/agency_profile_no_photo.jpg' ?>" width="" height="" />
				</div>
				<a href="#" id="select-0" title="Please upload only images, maximal 2 Mb filesize!"><?= __('upload_new_photo') ?></a>
			</div>*/ ?>

			<div class="gallery-tab-inner AgencyLogo">

				<input value="<?= $_COOKIE['PHPSESSID'] ?>" type="hidden" id="sess_name" />
				<input value="<?= $this->agency->id ?>" type="hidden" id="agency_id" />

				<div class="container ml20">

					<div class="photos public">
						<div id="form-public" action="/private-v2/agency-logo" method="post" enctype="multipart/form-data">
							<div>
								<div class="status hide">
									<p>
										<a href="#" class="browse"></a>
										<a href="#" class="clear-list"><?= __('pv2_up_clear_list') ?></a>
										<a href="#" class="upload"></a>
									</p>
									<div class="progress-bar">
										<span class="overall-title strong"></span><br />
										<img src="<?= _st('fancy/progress-bar/bar.gif') ?>" class="progress overall-progress" />
									</div>
									<div class="current-progress-bar">
										<span class="current-title strong"></span><br />
										<img src="<?= _st('fancy/progress-bar/bar.gif') ?>" class="progress current-progress" />
									</div>
									<div class="clear"></div>
									<div class="current-text"></div>

									<ul class="list"></ul>
									<div class="clear"></div>
								</div>
							</div>

							<? if ( isset($this->uploadError) && ! $this->is_private ): ?><div class="up-error"><?= $this->uploadError ?></div><? endif; ?>

							<input type="hidden" name="is_private" value="0" />

							<div>

									<ul class="public-photos-list">
										<? if ( $this->agency->logo_hash ): ?>
											
											<li>												
												<div class="wrapper" cubix:initial="<?= $this->agency_data['args'] ? htmlentities(json_encode(unserialize($this->agency_data['args']))) : '' ?>">
													<img src="<?= $this->agency->getLogoUrl(true, 'thumb_cropper_agency'); ?>" />
												</div>
											</li>
											
										<? endif ?>
									</ul>
									<div class="clear"></div>

								<? if ( ! $this->agency->logo_hash ): ?>
									<div class="an no-photos">You haven't upload any logo yet</div>
								<? endif; ?>
							</div>
												
							<div class="photo-actions <?= ($this->agency->logo_hash) ? '' : 'none' ?>">
								
								<a class="remove"></a>
								
							</div>									
							
						</div><!-- form -->
					</div><!-- photos -->
				</div><!-- container -->
			</div>


			<div class="clear"></div>

		</div>

		<div class="WorkingTimes tab-body">

			<div class="clear"></div>
			<div class="work-times">

				<div class="inner" style="margin: 10px 0px 20px 20px;">
					<label for="available_24_7" style="padding-top: 0px;"><?= __('available_24_7') ?></label>
					<input id="available_24_7" type="checkbox" name="available_24_7" value="1" <?= $this->agency_data['available_24_7'] ? 'checked="checked"' : '' ?> />
					<div class="clear"></div>
				</div>

				<div style="padding: 0px 20px" class="lindent w_times">
					<? $sdate = date('l', strtotime(date('Y') . 'W' . date('W') . '0')); ?>

					<? for ($j = 1; $j <= 7; $j++): ?>
						<div class="inner" style="width: 320px; padding-left: 0; margin-bottom: 5px;">
							<?
							$wt = isset($this->agency_data['working_times'][$j]) ? $this->agency_data['working_times'][$j] : null;
							?>

							<input type="checkbox" name="work_days[<?= $j ?>]" id="wt_<?= $j ?>" value="1"<?= $wt ? ' checked="checked"' : '' ?> />
							<label for="wt_<?= $j ?>"><?= $this->getWeekDay($j) ?></label>


							<select name="work_times_from[<?= $j ?>]" class="selectbox">
								<option value="">-</option>
								<? for ($i = 1; $i <= 24; $i ++): ?>
									<option value="<?= $i - 0.5 ?>"<?= $wt['from'] == $i - 0.5 ? ' selected="selected"' : '' ?>><?= ( strlen($i - 1) == 1 ? '0' : '' ) . ($i - 1) ?>:30&nbsp;&nbsp;</option>
									<option value="<?= $i ?>"<?= $wt['from'] == $i ? ' selected="selected"' : '' ?>><?= ( strlen($i) == 1 ? '0' : '' ) . $i ?>:00&nbsp;&nbsp;</option>
								<? endfor; ?>
							</select>

							<span style="margin: 4px 5px 0 5px;">-</span>

							<select name="work_times_to[<?= $j ?>]" class="selectbox">
								<option value="">-</option>
								<? for ($i = 1; $i <= 24; $i ++): ?>
									<option value="<?= $i - 0.5 ?>"<?= $wt['to'] == $i - 0.5 ? ' selected="selected"' : '' ?>><?= ( strlen($i - 1) == 1 ? '0' : '' ) . ($i - 1) ?>:30&nbsp;&nbsp;</option>
									<option value="<?= $i ?>"<?= $wt['to'] == $i ? ' selected="selected"' : '' ?>><?= ( strlen($i) == 1 ? '0' : '' ) . $i ?>:00&nbsp;&nbsp;</option>
								<? endfor; ?>
							</select>
							<div class="clear"></div>
						</div>
					<? endfor; ?>
				</div>
			</div>
			<div class="clear"></div>
		</div>


		<div class="AboutUs tab-body">
			<div class="clear"></div>
			<div class="about">
				<div class="picker-tabs">
					<?= render_lng_picker() ?>
					<div class="clear"></div>
				</div>

				<div class="picker-body">
					<? foreach ( Cubix_I18n::getLangs(false) as $lng => $title ): ?>
						<div id="container-about-<?= $lng ?>" class="container-about-field" style="display: none">
							<textarea class="about-field" id="about-<?= $lng ?>" name="about_<?= $lng ?>" cols="53" rows="10"><?= $this->agency_data['about_' . $lng] ?></textarea>
						</div>
					<? endforeach ?>
				</div>

				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>	
		

		<div class="actions-container">
			<a class="cancel"></a>
			<input type="image" src="/img/private/btn_save2.png" name="save" value="" />
			<div class="clear"></div>
		</div>
		<div class="clear"></div>

	</form>
	<div class="clear"></div>

</div>
